Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.neural.flat.train.prop
Enum RPROPType

    java.lang.Object
      java.lang.Enum<RPROPType>
          org.encog.neural.flat.train.prop.RPROPType

All Implemented Interfaces:
  Serializable, Comparable<RPROPType>

    public enum RPROPType

extends Enum<RPROPType>

Allows the type of RPROP to be defined. RPROPp is the classic RPROP. For more information, visit: http://www.heatonresearch.com/wiki/RPROP

Enum Constant Summary
`iRPROPm` iRPROP- : New RPROP without weight back tracking.
`iRPROPp` iRPROP+ : New weight back tracking method, some consider this to be the most advanced RPROP.
`RPROPm` RPROP- : No weight back tracking.
`RPROPp` RPROP+ : The classic RPROP algorithm.

Method Summary
`static RPROPType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RPROPType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RPROPp

    public static final RPROPType RPROPp

  RPROP+ : The classic RPROP algorithm. Uses weight back tracking.

### RPROPm

    public static final RPROPType RPROPm

  RPROP- : No weight back tracking.

### iRPROPp

    public static final RPROPType iRPROPp

  iRPROP+ : New weight back tracking method, some consider this to be the most advanced RPROP.

### iRPROPm

    public static final RPROPType iRPROPm

  iRPROP- : New RPROP without weight back tracking.

Method Detail

### values

    public static RPROPType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RPROPType c : RPROPType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RPROPType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.